.main-container {
    display: flex;
    flex-direction: column;
    height: 100vh;
}

.game {
    position: relative;
    background-image: url('http://bit.ly/pokemonbg');
    background-size: 100% 100%;
    background-repeat: no-repeat;
    border: 3px solid black;
    border-radius: 8px 8px 0 0;
    height: 70%;
    display: flex;
    flex-direction: column;
}

.opponent {
    position: relative;
    height: 50%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.opponent .stats {
    display: flex;
    flex-direction: column;
    width: 40%;
}

.opponent .stats .row1 {
    display: flex;
    justify-content: space-between;
}

.health-box {
    background-color: #ccc;
    position: relative;
    ;
    height: 1.5rem;
    width: 90%;
    margin: 0 auto;
    border: solid 1px #aaa;
}

.health-bar {
    transition: width .5s ease;
    background-color: #007f00;
    position: absolute;
    height: 100%;
    width: 100%;
}

.health-bar-red {
    transition: width 2s ease;
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: #cc0000;
}

.health-bar-blue {
    transition: width .5s ease;
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: #3bd3df;
}

.health-bar-text {
    position: relative;
    bottom: 80px;
}

.opponent .self{
    width: 30%;
}

.opponent .enemy{
    width: 15%;
}

.box {
    padding: 2%;
    background: #333;
    border: 3px solid black;
    border-top: none;
    border-radius: 0 0 8px 8px;
    color: #fff;
    height: 30%;
    /*width: 784px;*/
}

.box .message {
    position: relative;
    float: left;
    font-size: 24px;
    width: 50%;
}

.box .continue {
    position: absolute;
    margin-top: 30px;
    float: left;
    width: 25%;
    height: 100%;
}

.box .continue button {
    position: relative;
    float: left;
    background: #666;
    border: 3px solid #888;
    border-radius: 4px;
    color: #fff;
    font-family: monospace;
    font-size: 20px;
    line-height: 14px;
    margin: 4px;
    padding: 16px;
    outline: none !important;
}

.box .continue button:hover {
    background: #777;
    border-color: #999;
}

.box .continue button:active {
    background: #555;
    border-color: #666;
}

.box .actions {
    position: relative;
    float: left;
    width: 50%;
    height: 100%;
}

.box .actions button {
    position: relative;
    float: left;
    background: #666;
    border: 3px solid #888;
    border-radius: 4px;
    color: #fff;
    font-family: monospace;
    font-size: 20px;
    line-height: 14px;
    margin: 4px;
    padding: 16px;
    width: calc(50% - 8px);
    height: calc(50% - 8px);
    outline: none !important;
}

.box .actions button:hover {
    background: #777;
    border-color: #999;
}

.box .actions button:active {
    background: #555;
    border-color: #666;
}

.stats {
    background: #111;
    border: 2px solid black;
    border-radius: 8px;
    color: white;
    padding: 12px;
}

.stats .pokeballs {
    position: relative;
    display: inline-block;
    vertical-align: middle;
}

.stats .pokeballs .pokeball {
    position: relative;
    float: left;
    background-size: 100% 100%;
    width: 25px;
    height: 25px;
}

.pokeballKo {
    background-image: url('http://bit.ly/pokeballimg');
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}

.pokeballAlive {
    background-image: url('http://bit.ly/pokeballimg');
}

.stats .hp-count:before {
    content: 'HP: '
}

.stats .hp-count {
    float: right;
}

.stats .name {
    font-weight: bold;
}

.stats .level:before {
    content: "LVL"
}